<?php

declare(strict_types=1);

namespace CourierNotices\Vendor\PHPSTORM_META;

override(\CourierNotices\Vendor\Nette\Utils\Arrays::get(0), elementType(0));
override(\CourierNotices\Vendor\Nette\Utils\Arrays::getRef(0), elementType(0));
override(\CourierNotices\Vendor\Nette\Utils\Arrays::grep(0), type(0));
override(\CourierNotices\Vendor\Nette\Utils\Arrays::toObject(0), type(1));

expectedArguments(\CourierNotices\Vendor\Nette\Utils\Arrays::grep(), 2, PREG_GREP_INVERT);
expectedArguments(\CourierNotices\Vendor\Nette\Utils\Image::resize(), 2, \CourierNotices\Vendor\Nette\Utils\Image::SHRINK_ONLY, \CourierNotices\Vendor\Nette\Utils\Image::STRETCH, \CourierNotices\Vendor\Nette\Utils\Image::FIT, \CourierNotices\Vendor\Nette\Utils\Image::FILL, \CourierNotices\Vendor\Nette\Utils\Image::EXACT);
expectedArguments(\CourierNotices\Vendor\Nette\Utils\Image::calculateSize(), 4, \CourierNotices\Vendor\Nette\Utils\Image::SHRINK_ONLY, \CourierNotices\Vendor\Nette\Utils\Image::STRETCH, \CourierNotices\Vendor\Nette\Utils\Image::FIT, \CourierNotices\Vendor\Nette\Utils\Image::FILL, \CourierNotices\Vendor\Nette\Utils\Image::EXACT);
expectedArguments(\CourierNotices\Vendor\Nette\Utils\Json::encode(), 1, \CourierNotices\Vendor\Nette\Utils\Json::PRETTY);
expectedArguments(\CourierNotices\Vendor\Nette\Utils\Json::decode(), 1, \CourierNotices\Vendor\Nette\Utils\Json::FORCE_ARRAY);
expectedArguments(\CourierNotices\Vendor\Nette\Utils\Strings::split(), 2, \PREG_SPLIT_NO_EMPTY | \PREG_OFFSET_CAPTURE);
expectedArguments(\CourierNotices\Vendor\Nette\Utils\Strings::match(), 2, \PREG_OFFSET_CAPTURE | \PREG_UNMATCHED_AS_NULL);
expectedArguments(\CourierNotices\Vendor\Nette\Utils\Strings::matchAll(), 2, \PREG_OFFSET_CAPTURE | \PREG_UNMATCHED_AS_NULL | \PREG_PATTERN_ORDER);
